<!--
+------------------------------------------- < EVERYTHING WRAPPER > ---------------------------------------------+
|                                                                                                                |
|  +--------------------------------------------- < HEADER > -------------------------------------------------+  |
|  |                                                                                                          |  |
|  |  +----------------------------------------- < BANNER > -----------------------------------------------+  |  |
|  |  |                                                                                                    |  |  |
|  |  +----------------------------------------------------------------------------------------------------+  |  |
|  |  +------------------------------------------ < MENU > ------------------------------------------------+  |  |
|  |  |                                                                                                    |  |  |
|  |  +----------------------------------------------------------------------------------------------------+  |  |
|  |                                                                                                          |  |
|  +----------------------------------------------------------------------------------------------------------+  |
|                                                                                                                |
|                                                                                                                |
|  +---------------------------------------- < MAIN BODY WRAPPER > -------------------------------------------+  |
|  |                                                                                                          |  |
|  |  +------------------------------------- < EYE CANDY WRAPPER > ----------------------------------------+  |  |
|  |  | +----------------+------------------- < EYE CANDY TABLE > ---------------------------------------+ |  |  |
|  |  | |                |                                                                               | |  |  |
|  |  | |                |    +------------------------- < TICKEROUTER > ---------------------------+    | |  |  |
|  |  | |                |    |+--------------------------- < TICKER > ----------------------------+|    | |  |  |
|  |  | |                |    ||+----------------------- < TICKERINNER > -------------------------+||    | |  |  |
|  |  | |  CP/M INSIDE   |    |||                                                                 |||    | |  |  |
|  |  | |                |    ||+-----------------------------------------------------------------+||    | |  |  |
|  |  | |                |    |+-------------------------------------------------------------------+|    | |  |  |
|  |  | |                |    +---------------------------------------------------------------------+    | |  |  |
|  |  | |                |                                                                               | |  |  |
|  |  | +----------------+-------------------------------------------------------------------------------+ |  |  |
|  |  +----------------------------------------------------------------------------------------------------+  |  |
|  |                                                                                                          |  |
|  |  +-------------------------------------- < SITEBOX WRAPPER > -----------------------------------------+  |  |
|  |  |                                                                                                    |  |  |
|  |  |  +-----< SITEBOX >-----+ +---------------------+ +---------------------+ +---------------------+   |  |  |
|  |  |  |                     | |                     | |                     | |                     |   |  |  |
|  |  |  |                     | |                     | |                     | |                     |   |  |  |
|  |  |  |                     | |                     | |                     | |                     |   |  |  |
|  |  |  |                     | |                     | |                     | |                     |   |  |  |
|  |  |  |                     | |                     | |                     | |                     |   |  |  |
|  |  |  |                     | |                     | |                     | |                     |   |  |  |
|  |  |  +---------------------+ +---------------------+ +---------------------+ +---------------------+   |  |  |
|  |  |  +---------------------+ +---------------------+ +---------------------+ +---------------------+   |  |  |
|  |  |  |                     | |                     | |                     | |                     |   |  |  |
|  |  |  |                     | |                     | |                     | |                     |   |  |  |
|  |  |  |                     | |                     | |                     | |                     |   |  |  |
|  |  |  |                     | |                     | |                     | |                     |   |  |  |
|  |  |  |                     | |                     | |                     | |                     |   |  |  |
|  |  |  |                     | |                     | |                     | |                     |   |  |  |
|  |  |  +---------------------+ +---------------------+ +---------------------+ +---------------------+   |  |  |
|  |  |                                                                                                    |  |  |
|  |  +----------------------------------------------------------------------------------------------------+  |  |
|  |                                                                                                          |  |
|  +----------------------------------------------------------------------------------------------------------+  |
|                                                                                                                |
|                                                                                                                |
|  +-------------------------------------------- < FOOTER > --------------------------------------------------+  |
|  |                                                                                                          |  |
|  +----------------------------------------------------------------------------------------------------------+  |
|                                                                                                                |
+----------------------------------------------------------------------------------------------------------------+
-->
<?php readfile("site/html/header.php"); ?>

<body onload=type_text() bgcolor="#000000" text="#00a040">

<div id="everythingwrapper">

  <div id="header">
    <?php readfile("site/html/cpmbanner.html");
          readfile("site/html/menu.html"); ?>
  </div> <!-- header -->

  <div id="mainbodywrapper">
  
  <div id="eyecandywrapper">

    <table id="eyecandytable" width="100%"  border="0">
      <tr>
        <td width="20%"; ><?php readfile("site/html/cpm-inside.html"); ?></div></td>
        <td width="80%">

            <!--
            I've switched to a new typing script from Pixel Art (http://www.thepixelart.com/create-a-typing-text-effect-using-jquery/) which has certain advantages:
              1. unlike other typed text scripts, if javascript is disabled, the text still show.
              2. this script is extremely flexible, with features I'm not using; see the documentation.
              
            But I can't get some basic HTML markup - such as <br> -- to work with the script. So in order to get <br>- and <p>-like line control I had to fake it using <UL>.
            
            I'm using triple nested DIVs to create the computer paper effect. #tickerouter handles the green stripe, #ticker the left holes, #tickerinner the right holes and content.
            -->

          <div id="tickerouter">
            <div id="ticker">
	      <div id="tickerinner"> <!-- inline styling because CSS doesn't seem to reach here -->
                <p style="margin: 0; line-height: 1.1em;">A0>DIR *.TXT</p>
                <p style="margin: 0; line-height: 1.1em;">Drive A0 [ROOT] Files: 1/22: 58/2510k : Free 1974k</p>
                <p style="margin: 0; line-height: 1.1em;">WELCOME .TXT &nbsp;&nbsp;2k : CPMLIVE .TXT &nbsp;37k</p>
                <p style="margin: 0; line-height: 1.1em;">&nbsp;</p>
                <p style="margin: 0; line-height: 1.1em;">A0>TYPE WELCOME.TXT</p>
                <p style="margin: 0; line-height: 1.1em;">Welcome to the *HUMONGOUS* CP/M Software Archives, a humongous collection of all the great CP/M software repositories of the past. We aim to be your one-stop shop for CP/M software. If you can't find it here, it probably can't be found. And if you do find something we don't have, let us know. We just hate it when someone has something we don't.</p>
                <p style="margin: 0; line-height: 1.1em;">&nbsp;</p>
                <p style="margin: 0; line-height: 1.1em;">A0></p>
              </div> <!-- tickerinner -->
            </div> <!-- ticker -->
          </div> <!-- tickerouter -->


        </td>
      </tr>
    </table>

  </div> <!-- eyecandywrapper -->

  <div id="siteboxwrapper">

  <!-- TEMPLATE

<div class="sitebox">
<pre>+------------------------------+
| <a class="siteboxtitle"  title="" href="">    Walnut Creek CD-ROM     </a> |
|                              |
|                              |
|                              |
|                              |
|                           <a class="controls" title="Insert description of download (and filesize) here" href="downloads/.7z">CD</a> |
+------------------------------+</pre>
</div> <!-- sitebox -->

<div class="sitebox"> <!-- WalnutCD -->
<pre>+------------------------------+
| <a class="siteboxtitle"  title="This is an exact replica of the CP/M software collection released on CD-ROM in 1994 by WalnutCreek. It's an amalgam of the OAK, WU-Archives and SIMTEL-20 collections." href="cpm/Software/WalnutCD">    Walnut Creek CD-ROM     </a> |
|                              |
|  The greatest collection of  |
| public domain CP/M software  |
|   the world has ever seen.   |
|                           <a class="controls" title="Download the 1994 Walnut Creek CD-ROM ISO image (364mb)" href="downloads/November_1994_Walnut_Creek_cpm_cdrom.iso.7z">CD</a> |
+------------------------------+</pre>
</div> <!-- sitebox -->

<div class="sitebox"> <!-- OAK -->
<pre>+------------------------------+
| <a class="siteboxtitle" title="A 1994 mirror of the OAK CP/M collection was incorporated into the Walnut Creek CD. This is a 1996 mirror of OAK which differs in many ways from the WalnutCD copy." href="cpm/mirrors/oak.oakland.edu/pub/">     OAK CP/M Repository    </a> |
|                              |
|Once the "biggest of them all"|
|This '96 mirror has some up-  |
|dates & changes vs. WalnutCD. |
|                           <a class="controls" title="Download a 1996 ISO of the OAK CP/M collection (108mb)" href="downloads/oakcpm.iso.7z">CD</a> |
+------------------------------+</pre>
</div> <!-- sitebox -->

<div class="sitebox"> <!-- WUArchives -->
<pre>+------------------------------+
| <a class="siteboxtitle" title="The Washington University CP/M collection was simply a mirror of OAK, with the addition of a small collection of Z-System-specific software which is also available on the Walnut Creek CD. Get Walnut Creek and you've got all of WU's CP/M collection." href="cpm/mirrors/wuarchive.wustl.edu/systems/Index%20of%20_systems_.htm"> WUArchives CP/M Collection </a> |
|                              |
| WU's CP/M collection inclu-  |
|  ded all of <a href="cpm/mirrors/oak.oakland.edu/pub/">OAK</a> plus <a href="cpm/Software/WalnutCD/zsys/simtel20/">this</a>    |
|  small Z-System collection.  |
|                              |
+------------------------------+</pre>
</div> <!-- sitebox -->

<div class="sitebox"> <!-- SIMTEL-20 -->
<pre>+------------------------------+
| <a class="siteboxtitle" title="The brainchild of Keith Peterson, SIMTEL-20 was once the largest and best archive of CP/M software, and a host to both the CPMUG and SIGM collections. This copy of the SIMTEL-20 Archives is from the Walnut Creek CD." href="cpm/Software/WalnutCD/simtel/">         SIMTEL-20          </a> |
|                              |
|  Once one of the largest &amp;   |
|   best, featuring the <a href="cpm/Software/WalnutCD/simtel/sigm/">SIGM</a>   |
|    and <a href="cpm/Software/WalnutCD/simtel/cpmug/">CPMUG</a> collections.    |
|                              |
+------------------------------+</pre>
</div> <!-- sitebox -->

<div class="sitebox"> <!-- RetroArchive -->
<pre>+------------------------------+
| <a class="siteboxtitle" title="Gene Buckel's long-time archive site is home to both the Walnut Creek CD-ROM and the Commercial CP/M Archives, an attempt to collect as much formerly commercial CP/M software as possible. As *HUMONGOUS* CP/M hosts its own copy of the Walnut Creek CD, we have omitted it from our RetroArchive mirror, which is otherwise complete. Mirror last updated Sept. 2011." href="http://www.retroarchive.org/"> The RetroComputing Archive </a> |
|                              |
| Gene Buckle's long-time site |
|   featuring the Commercial   |
|  CP/M software collection.   |
|              <a class="controls" title="*HUMONGOUS* CP/M's mirror is not an exact copy of Gene's site, but an amalgam of several snapshots intended to preserve material that was later removed from the original site. Mirror last updated Supt. 2011." href="cpm/mirrors/www.retroarchive.org/index.html">M</a>               |
+------------------------------+</pre>
</div> <!-- sitebox -->

<div class="sitebox"> <!-- Unofficial CP/M -->
<pre>+------------------------------+
| <a class="siteboxtitle" title="The unofficial 'official' home for binaries, source and documentation for the CP/M family of OSes, plus a small collection of CP/M applications software and 8080/Z80 emulators for a variety of platforms. Originally created by Tim Olmstead. If you're looking for CP/M itself, this is where to get it. *HUMONGOUS* CP/M currently maintains multiple snapshots of this site in order to preserve material that was removed over the years." href="http://www.cpm.z80.de/">  The Unofficial CP/M Site  </a> |
|                              |
|        Get CP/M here!        |
|                              |
|                              |
|           <a class="controls" title="1999 mirror" href="cpm/mirrors/www.cpm.z80.de/1999-10-02/index.html">M1</a> <a class="controls" title="2000 mirror" href="cpm/mirrors/www.cpm.z80.de/2000-08-08/index.html">M2</a> <a class="controls" title="2001 mirror" href="cpm/mirrors/www.cpm.z80.de/2001-06-20/index.html">M3</a>           |
+------------------------------+</pre>
</div> <!-- sitebox -->

<div class="sitebox"> <!-- Demon -->
<pre>+------------------------------+
| <a class="siteboxtitle" title="A small archive with a focus on the Amstrad. A snapshot is on the Walnut Creek CD-ROM, but this mirror appears to be from a later date and includes numerous additions. The original site at ftp.demon.com is now offline." href="cpm/mirrors/ftp.demon.com/pub/cpm/">     The Demon Archives     </a> |
|                              |
|  Focus on the Amstrad. This  |
|  mirror is more recent than  |
|   what's on the Walnut CD.   |
|                              |
+------------------------------+</pre>
</div> <!-- sitebox -->

<div class="sitebox"> <!-- Funet.fi -->
<pre>+------------------------------+
| <a class="siteboxtitle" title="A small Finnish site with a bit of a Commodore focus. Originally at ftp.funet.fi, the site was relocated in 2005 to Zimmers.net. Archivers, communications utilities, editors, programming and a few Z-System utilities." href="http://zimmers.net/anonftp/pub/cpm/">          Funet.Fi          </a> |
|                              |
| A small site with a bit of a |
|       Commodore focus.       |
|                              |
|            <a class="controls" title="*HUMONGOUS* CP/M's mirror" href="cpm/mirrors/ftp.funet.fi/pub/cpm/">M1</a> <a class="controls" title="Piergiorgio Betti's mirror" href="http://z80cpu.eu/mirrors/ftp.funet.fi/">M2</a>             |
+------------------------------+</pre>
</div> <!-- sitebox -->

<div class="sitebox"> <!-- Z-Node 51 -->
<pre>+------------------------------+
| <a class="siteboxtitle" title="One of the largest of the Z-Nodes, BBSes dedicated to ZCPR3 and the Z-System, enhanced, drop-in replacements for CP/M, ZNode 51 later moved its collection online." href="http://www.znode51.de/indexe.htm">         Z-Node 51          </a> |
|                              |
| A huge collection of ZCPR3 & |
|      Z-System software.      |
|                              |
|             <a class="controls" title="*HUMONGOUS* CP/M's mirror" href="cpm/mirrors/www.znode51.de/index.html">M1</a> <a class="controls" title="Piergiorgio Betti's mirror" href="http://z80cpu.eu/mirrors/www.znode51.de/indexe.htm">M2</a>            |
+------------------------------+</pre>
</div> <!-- sitebox -->

<div class="sitebox"> <!-- John Eliot -->
<pre>+------------------------------+
| <a class="siteboxtitle" title="Sinclair, Amstrad, Digital Research's GEM, and a wealth of technical information on CP/M. and variants, with a focus on CP/M v3." href="http://www.seasip.info/index.html">   John Elliot's HomePage   </a> |
|                              |
| Sinclair, Amstrad, GEM, CP/M |
| technical info, CP/M3 focus. |
|                              |
|           <a class="controls" title="*HUMONGOUS*'s mirror, taken Sept. 2011." href="cpm/mirrors/www.seasip.info/">M1</a> <a class="controls" title="Piergiorgio Betti's mirror" href="http://z80cpu.eu/mirrors/www.seasip.demon.co.uk/index.html">M2</a>              |
+------------------------------+</pre>
</div> <!-- sitebox -->

<div class="sitebox"> <!-- Z80 CPU -->
<pre>+------------------------------+
| <a class="siteboxtitle" title="Thomas Scherrer's unparalled site dedicated to the Z80 family of CPUs. An entire library of technical information on every aspect of Zilog's famous creation." href="http://www.z80.info/">    Home of the Z80 CPU     </a> |
|                              |
| Thomas Scherrer's unmatched  |
|  library of technical info   |
|       on the Z80 CPU.        |
|             <a class="controls" title="*HUMONGOUS* CP/M's mirror" href="mirrors/www.z80.info/index.html">M1</a> <a class="controls" title="Piergiorgio Betti's mirror" href="http://z80cpu.eu/mirrors/www.z80.info/">M2</a>            |
+------------------------------+</pre>
</div> <!-- sitebox -->

<div class="sitebox"> <!-- Update.uu.se -->
<pre>+------------------------------+
| <a class="siteboxtitle" title="Dedicated to DEC machines, including the DEC Rainbow, a dual-CPU system which ran both CP/M and MS/PC-DOS." href="ftp://ftp.update.uu.se/pub/rainbow/">        Update.uu.se        </a> |
|                              |
| Dedicated to DEC, including  |
|   the Rainbow, a CP/M-DOS    |
|      dual CPU machine.       |
|               <a class="controls" title="*HUMONGOUS* CP/M is mirroring only the Rainbow collection of the site." href="cpm/mirrors/ftp.update.uu.se/pub/rainbow/">M</a>              |
+------------------------------+</pre>
</div> <!-- sitebox -->

<div class="sitebox"> <!-- CP/M How-to -->
<pre>+------------------------------+
| <a class="siteboxtitle" title="A small unfinished CP/M How-To by an unidentified author. This site is so old and quaint I couldn't resist including it. The original site is now offline. Mirror date: 1998." href="cpm/mirrors/www.geocities.com/SiliconValley/5711/index.html">        CP/M How-To         </a> |
|                              |
| Quaint, unfinished CP/M How- |
|    to site, vintage 1998.    |
|                              |
|                              |
+------------------------------+</pre>
</div> <!-- sitebox -->

<div class="sitebox"> <!-- CP/M 86 -->
<pre>+------------------------------+
| <a class="siteboxtitle" title="'A text-based web site devoted exclusively to CP/M-86 For The IBM, Version 1.1, by someone identified only as 'the Klaw'. The original site at www.seanet.com/~klaw/index.html is offline." href="cpm/mirrors/www.seanet.com/~klaw/index.html"> CP/M86 Software Repository </a> |
|                              |
| "CP/M-86 for the IBM, v1.1." |
|                              |
|                              |
|               <a class="controls" title="Piergiorgio Betti's mirror" href="http://z80cpu.eu/mirrors/klaw/">M</a>              |
+------------------------------+</pre>
</div> <!-- sitebox -->

<div class="sitebox"> <!-- Hal Bower -->
<pre>+------------------------------+
| <a class="siteboxtitle" title="Hal Bower's homepage highlights his work with banked systems and 8-bit programming languages, and serves as the main distribution site for ZSDOS, the formerly commercial enhanced CP/M BDOS, and Z-System libraries and utilities." href="http://mysite.verizon.net/hal.bower/">    Hal Bower's Homepage    </a> |
|                              |
|     Banked systems, 8-bit    |
|     programming, ZS-DOS.     |
|                              |
|            <a class="controls" title="*HUMONGOUS* CP/M's mirror" href="cpm/mirrors/home.att.net/~halbower/index.html">M1</a> <a class="controls" title="Piergiorgio Betti's mirror" href="http://z80cpu.eu/mirrors/home.att.net/~halbower/">M2</a>             |
+------------------------------+</pre>
</div> <!-- sitebox -->

<div class="sitebox"> <!-- CB Falconer -->
<pre>+------------------------------+
| <a class="siteboxtitle" title="One of the large figures of the CP/M community well into the 21st century, Chuck and his homepage have unfortunately gone into retirement, but never fear - *HUMONGOUS* CP/M has it covered. Of particular softwarely interest is Chuck's DOSPlus 2.5, along with a few additional utilities, in the CP/M downloads directory." href="cpm/mirrors/cbfalconer.home.att.net/index.htm">   CB Falconer's HomePage   </a> |
|                              |
| A true CP/M luminary, author |
|   of DOSPlus 2.5, which is   |
|             <a href="cpm/mirrors/cbfalconer.home.att.net/download/cpm/index.htm">here.</a>            |
|               <a class="controls" title="The Wayback Machine" href="http://web.archive.org/web/20080430103651/http://cbfalconer.home.att.net/index.htm">M</a>              |
+------------------------------+</pre>
</div> <!-- sitebox -->

<div class="sitebox"> <!-- Rlee Peters -->
<pre>+------------------------------+
| <a class="siteboxtitle" title="An absolutely amazing treasure trove of commercial software from dozens of software producers. You will find in the Rlee Peters Archive a stunning array of software preserved nowhere else. Warning: browsing this collection is habit-forming." href="cpm/Software/rlee/">  The Rlee Peters Archive   </a> |
|                              |
| Amazing trove of commercial  |
|    software. Arranged by     |
|        company name.         |
|               <a class="controls" title="Piergiorgio Betti's mirror" href="http://z80cpu.eu/content/view/33/51/">M</a>           <a class="controls" href="downloads/rlee_peters_cpm_archive.zip">CD</a> |
+------------------------------+</pre>
</div> <!-- sitebox -->

<div class="sitebox"> <!-- Dave Brooks -->
<pre>+------------------------------+
| <a class="siteboxtitle" href="http://members.iinet.net.au/~daveb/index.html">   Dave Brooks' HomePage    </a> |
|                              |
|  Details of Dave's involve-  |
| ment in early home computing,|
|    and the P112 project.     |
|              <a class="controls" title="*HUMONGOUS* CP/M's mirror" href="cpm/mirrors/members.iinet.net.au/~daveb/index.html">M</a>               |
+------------------------------+</pre>
</div> <!-- sitebox -->

<div class="sitebox"> <!-- MryNet -->
<pre>+------------------------------+
| <a class="siteboxtitle" title="Very large collection of vintage software, featuring (for *HUMONGOUS* CP/M purposes, a large collection of Kaypro software in Teledisk .TD0 format." href="http://www.mrynet.com/kaypro/index.html">           MryNet           </a> |
|                              |
| Outstanding FTP collection,  |
|   particularly its Kaypro    |
|   software in .TD0 format.   |
|               <a class="controls" title="*HUMONGOUS* CP/M's mirror" href="cpm/mirrors/www.mrynet.com/kaypro/index.html">M</a>              |
+------------------------------+</pre>
</div> <!-- sitebox -->

<div class="sitebox"> <!-- YAZE-AG -->
<pre>+------------------------------+
| <a class="siteboxtitle" title="One of the best Z80 emulators, maintained by Andreas Gerlich. Cross-platform for Windows, OSX and Linux." href="http://www.mathematik.uni-ulm.de/users/ag/yaze-ag/">          YAZE-AG           </a> |
|                              |
|    One of the premier Z80    |
| emulators, for Linux, Mac &amp;  |
|           Windows.           |
|               <a class="controls" title="*HUMONGOUS* CP/M's mirror, taken Sept. 2011." href="cpm/mirrors/www.mathematik.uni-ulm.de/users/ag/yaze-ag/">M</a>              |
+------------------------------+</pre>
</div> <!-- sitebox -->

<div class="sitebox"> <!-- SIMH Altair emulator -->
<pre>+------------------------------+
| <a class="siteboxtitle" title="Peter Schorn's Altair emulator, part of the SIMH family of old system emulators. SIMH is a project that encompasses emulators of a wide variety of old systems, including the PDP family and others." href="http://www.schorn.ch/cpm/intro.php"> The SIMH Altair Simulator  </a> |
|                              |
| Peter Schorn's Altair emula- |
| tor, part of the SIMH family |
|   of old system emulators.   |
|               <a class="controls" title="Since only the Altair was capable of running CP/M, only that emulator is mirrored at *HUMONGOUS* CP/M." href="cpm/mirrors/www.schorn.ch/cpm/">M</a>              |
+------------------------------+</pre>
</div> <!-- sitebox -->

<div class="sitebox"> <!-- CP/M-86 and 80 -->
<pre>+------------------------------+
| <a class="siteboxtitle" title="Bill Buckels' site dedicated to Commodore, Apple CP/M, TurboDOS and more." href="http://www.cpm8680.com/">The CP/M-86 & CP/M-80 Museum</a> |
|                              |
|   Bill Buckels: Commodore,   |
|    Apple CP/M, TurboDOS      |
|           &amp; more.            |
|               <a class="controls" title="*HUMONGOUS* CP/M's mirror." href="cpm/mirrors/www.cpm8680.com/">M</a>              |
+------------------------------+</pre>
</div> <!-- sitebox -->

<div class="sitebox"> <!-- S100 -->
<pre>+------------------------------+
| <a class="siteboxtitle" title="A site dedicated to the S-100 bus, an early 8-bit system bus standard used by dozens of early home computer manufacturers." href="http://www.s100computers.com/index.html">       S100 Computers       </a> |
|                              |
|  "For people who are inter-  |
|  ested in vintage S-100 bus  |
|      based computers."       |
|               <a class="controls" title="*HUMONGOUS* CP/M's mirror, taken Sept. 2011." href="cpm/mirrors/www.s100computers.com/">M</a>              |
+------------------------------+</pre>
</div> <!-- sitebox -->

<div class="sitebox"> <!-- Z80Sim -->
<pre>+------------------------------+
| <a class="siteboxtitle" title="Udo Munk's classic Z80 Simulator for Unix, including packages for many versions of CP/M, along with emulators for front-panel machines such as the Altair and Imsai. Udo's original site at http://www.unix4fun.org has been offline since 2010. *HUMONGOUS* CP/M obtained its copy of Udo's site from www.autometer.de/unix4fun/" href="cpm/mirrors/www.unix4fun.org/index.html">           Unix4Fun         </a> |
|                              |
|  Udo Munk's classic Z80 em-  |
|ulation system, with packages |
|  for many versions of CP/M.  |
|               <a class="controls" title="*HUMONGOUS* CP/M's mirror, taken May, 2012." href="cpm/mirrors/www.unix4fun.org/index.html">M</a>              |
+------------------------------+</pre>
</div> <!-- sitebox -->

<div class="sitebox"> <!-- Culver -->
<pre>+------------------------------+
| <a class="siteboxtitle" title="My own small collection of CP/M-related miscellany, including some software I've not seen available elsewhere." href="cpm/Miscellany/">   The Culver Collection    </a> |
|                              |
| Just my own pretentious lit- |
|   tle collection. Nothing    |
|   to see here. Move along.   |
|                              |
+------------------------------+</pre>
</div> <!-- sitebox -->

  </div> <!-- siteboxwrapper -->

</div> <!-- mainbodywrapper -->

  <!-- Footer -->

  <div id="footer">
    Copyleft <i>*HUMONGOUS* CP/M</i> Archives <?php echo date ("Y");?><br />
    This page last modified on <?php echo " ".date ("F d Y H:i:s", filemtime($_SERVER['SCRIPT_FILENAME'])); ?>
  </div> <!-- footer -->

</div> <!-- everythingwrapper -->
</body>
</html>