<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" dir="ltr" lang="en-US" xmlns:fb="http://www.facebook.com/2008/fbml" xmlns:og="http://ogp.me/ns#" >

<head>
  <link rel="icon" href="favico.ico" type="image/x-icon">
  <link rel="shortcut icon" href="favico.ico" type="image/x-icon">
  <meta http-equiv="Content-Type" content="text/html;charset=utf-8" />
  <TITLE>The *HUMONGOUS* CP/M Software Archives</TITLE>
  <LINK REV="made" href="mailto:leekaiwen@yahoo.com">
  <META NAME="keywords" CONTENT="CP/M, software, archives, repository, mirror, assemblers, compilers, games, digital research, WUArchive, Walnut Creek CD">
  <META NAME="description" CONTENT="The Internet's largest, most comprehensive collection of software for Digital Research's CP/M family of operating systems.">
  <META NAME="author" CONTENT="Nathanael Culver">
  <META NAME="ROBOTS" CONTENT="ALL">

  <!-- STYLING -->

  <link rel="stylesheet" type="text/css" href="site/styles/srcs.css" />
  <link rel="stylesheet" type="text/css" href="site/styles/webfonts.css" />
  <link rel="stylesheet" type="text/css" href="site/styles/search.css" />
  
  <!-- I was having difficulty on the online site getting it to recognize these styles when they were in style.css, so I moved them here.
       Had no problem on my local testbed, but didn't work online. With styles here, it works. -->

  <style>
  
      #tickerouter {
	    height: 220px;
            background:#fff url(site/images/stripe3.png) repeat left top;
            }
	    
      #ticker { /* Only used to provide the left-side feed holes and white background; set everything else to zero. */
            /* color: #FF7722; */
            background:transparent url(site/images/holeleft4.png) repeat-y left top;
	    margin: 0px;
	    padding: 0px;
	    border: 0px;
            height: 100%;
	    overflow:hidden;
            }

      div#tickerinner { /* right feed holes, plus all content */
            height: 100%; /* force div to start full height so feed holes show immediately; otherwise bottom of div pushes down as text is typed, doing a slow reveal of the holes */
	    background:transparent url(site/images/holeright4.png) repeat-y right top;
            color: #666;
            font-family: computer2, courier new, LucidaTerminal, monospace;
	    text-align: left;
	    margin: 0px;
	    padding: 0px 40px 0px 45px;
	    border: 0px;
	    }
	    
      #ticker .cursor {
            display: inline-block;
            background: #565c61;
            width: 0.6em;
            text-align: center;
      }

      #ticker p { margin-bottom: 0.8em; }

      #ticker code { margin: 0.4em 0.4em; display: block; }

      #ticker .next {/* position: absolute; bottom: 1em; */ }
  </style>

      <!-- SCRIPTS -->

  <script type="text/javascript" SRC="site/scripts/jquery-1.3.2.min.js"></script>
  <script type="text/javascript" SRC="site/scripts/jquery.jticker.js"></script>
  <script type="text/javascript">

<!--
  jQuery(document).ready(function(){
    // Instantiate jTicker 
	jQuery("#ticker").ticker({
 		cursorList:  " ",
 		rate:        40, // sets typing speed; bigger higher is slower
 		delay:       4000
	}).trigger("play").trigger("stop");

    // Trigger events 
    jQuery(".stop").click(function(){
        jQuery("#ticker").trigger("stop");
        return false;
    });
    
    jQuery(".play").click(function(){
        jQuery("#ticker").trigger("play");
        return false;
    });
    
    jQuery(".speedup").click(function(){
        jQuery("#ticker")
        .trigger({
            type: "control",
            item: 0,
            rate: 10,
            delay: 4000
        })
        return false;
    });
    
    jQuery(".slowdown").click(function(){
        jQuery("#ticker")
        .trigger({
            type: "control",
            item: 0,
            rate: 90,
            delay: 8000
        })
        return false;
    });
    
    jQuery(".next").live("click", function(){
        jQuery("#ticker")
        .trigger({type: "play"})
        .trigger({type: "stop"});
        return false;
    });

    jQuery(".style").click(function(){
        jQuery("#ticker")
        .trigger({
            type: "control",
            cursor: jQuery("#ticker").data("ticker").cursor.css({width: "4em", background: "#efefef", position: "relative", top: "1em", left: "-1em"})
        })
        return false;
    });
  	
  });

//-->
</script>

</head>

<!-- ============================================================================= -->

<body onload=type_text() bgcolor="#000000" text="#00a040">

    <!-- Site Banner at the top -->

    <div id="header">
<pre style="font: 4px/3px monospace; background-color: #0f0; color: #000; text-align: center; font-weight: bold;">
    
 /$$$$$$$$ /$$                       /$$   /$$             /$$     /$$                                               /$$        /$$$$$$            /$$                                      /$$$$$$            /$$ /$$                       /$$     /$$                    
|__  $$__/| $$                      | $$$ | $$            | $$    | $$                                              | $$       /$$__  $$          | $$                                     /$$__  $$          | $$| $$                      | $$    |__/                    
   | $$   | $$$$$$$   /$$$$$$       | $$$$| $$  /$$$$$$  /$$$$$$  | $$$$$$$   /$$$$$$  /$$$$$$$   /$$$$$$   /$$$$$$ | $$      | $$  \__/ /$$   /$$| $$ /$$    /$$ /$$$$$$   /$$$$$$       | $$  \__/  /$$$$$$ | $$| $$  /$$$$$$   /$$$$$$$ /$$$$$$   /$$  /$$$$$$  /$$$$$$$ 
   | $$   | $$__  $$ /$$__  $$      | $$ $$ $$ |____  $$|_  $$_/  | $$__  $$ |____  $$| $$__  $$ |____  $$ /$$__  $$| $$      | $$      | $$  | $$| $$|  $$  /$$//$$__  $$ /$$__  $$      | $$       /$$__  $$| $$| $$ /$$__  $$ /$$_____/|_  $$_/  | $$ /$$__  $$| $$__  $$
   | $$   | $$  \ $$| $$$$$$$$      | $$  $$$$  /$$$$$$$  | $$    | $$  \ $$  /$$$$$$$| $$  \ $$  /$$$$$$$| $$$$$$$$| $$      | $$      | $$  | $$| $$ \  $$/$$/| $$$$$$$$| $$  \__/      | $$      | $$  \ $$| $$| $$| $$$$$$$$| $$        | $$    | $$| $$  \ $$| $$  \ $$
   | $$   | $$  | $$| $$_____/      | $$\  $$$ /$$__  $$  | $$ /$$| $$  | $$ /$$__  $$| $$  | $$ /$$__  $$| $$_____/| $$      | $$    $$| $$  | $$| $$  \  $$$/ | $$_____/| $$            | $$    $$| $$  | $$| $$| $$| $$_____/| $$        | $$ /$$| $$| $$  | $$| $$  | $$
   | $$   | $$  | $$|  $$$$$$$      | $$ \  $$|  $$$$$$$  |  $$$$/| $$  | $$|  $$$$$$$| $$  | $$|  $$$$$$$|  $$$$$$$| $$      |  $$$$$$/|  $$$$$$/| $$   \  $/  |  $$$$$$$| $$            |  $$$$$$/|  $$$$$$/| $$| $$|  $$$$$$$|  $$$$$$$  |  $$$$/| $$|  $$$$$$/| $$  | $$
   |__/   |__/  |__/ \_______/      |__/  \__/ \_______/   \___/  |__/  |__/ \_______/|__/  |__/ \_______/ \_______/|__/       \______/  \______/ |__/    \_/    \_______/|__/             \______/  \______/ |__/|__/ \_______/ \_______/   \___/  |__/ \______/ |__/  |__/

</pre>
    </div>

    <!-- Main Menu -->

    <div id="nav">
	<ul>
          <li><a href="index.php">Home</a> | </li>
	  <li><a href="live.php">CP/M-Live!</a> | </li>
	  <li><a href="trs80.php">TRS-80</a> | </li>
	  <li><a href="links.php">Links</a> | </li>
          <li><a href="whatsnew.php">What's New</a> | </li>
	  <li><a href="mailto:leekaiwen@yahoo.com">Contact Us</a></li>
          <li><form method="get" action="http://www.google.com/search"><input class="text_input" type="text" name="q" size="15" maxlength="255" value="" />&nbsp;<input class="submit_button" type="submit" name="submit" value="Search" class="button" /><input style="background-color:#00FF00; border: solid 1px #000; border-bottom: dashed 3px; #000;" type="hidden" name="sitesearch" value="http://www.cpmarchives.org" checked /></li>
	</ul>
    </div> <!-- nav -->

  <div class="cpminsidewrapper">

    <table width="100%"  border="0">
      <tr>
<!--        <td width="20%"><div class="logo"><img src="site/images/cpm-inside4.png" alt="CP/M Inside" width=235px; height=200px; /></div></td> -->
        <td width="20%"; ><?php readfile("site/html/cpm-inside.html"); ?></div></td>
        <td width="80%">

            <!--
            I've switched to a new typing script from Pixel Art (http://www.thepixelart.com/create-a-typing-text-effect-using-jquery/) which has certain advantages:
              1. unlike other typed text scripts, if javascript is disabled, the text still shows up.if javascript is disabled.
              2. this script is extremely flexible, with features I'm not using; see the documentation.
              
            But I can't get some basic HTML markup - such as <br> -- to work with the script. So in order to get <br>- and <p>-like line control I had to fake it
            using <UL>.
            
            I'm using triple nested DIVs to create the computer paper effect. #tickerouter handles the green stripe, #ticker the left holes, #tickerinner the right holes and content.
            -->

          <div id="tickerouter">
            <div id="ticker">
	      <div id="tickerinner"> <!-- inline styling because CSS doesn't seem to reach here -->
                <p style="margin: 0; line-height: 1.1em;">A0>DIR *.TXT</p>
                <p style="margin: 0; line-height: 1.1em;">Drive A0 [ROOT] Files: 1/22: 58/2510k : Free 1974k</p>
                <p style="margin: 0; line-height: 1.1em;">WELCOME .TXT &nbsp;&nbsp;2k : NCCOLLEC.TXT &nbsp;37k</p>
                <p style="margin: 0; line-height: 1.1em;">&nbsp;</p>
                <p style="margin: 0; line-height: 1.1em;">A0>TYPE NCCOLLEC.TXT</p>
                <p style="margin: 0; line-height: 1.1em;">This here's my stuff.  Most of the stuff I collected during my CP/M years that's of any interest whatsoever. Much of it is duplicated elsewhere at *HUMONGOUS* CP/M, some of it is unique. Can't promise you'll see something you like, but it's free to look.</p>
                <p style="margin: 0; line-height: 1.1em;">&nbsp;</p>
                <p style="margin: 0; line-height: 1.1em;">A0></p>


              </div> <!-- tickerinner -->
            </div> <!-- ticker -->
          </div> <!-- tickerouter -->
        </td>
      </tr>
    </table>

  </div> <!-- cpminsidewrapper -->

<div class="pagewrapper">

<!--

TO-DO:
  Fiish cleaning out OperSys/CPM/DRI Archive/
  
-->

  <!-- - - - - - - - - - - - - - - - BODS-CCP - - - - - - - - - - - - - -->

  <div class="site-container" name="BDOS-CCP">

    <div class="site-column-1">
      <p class="site-title"><a href="mirrors/Miscellany/BDOS-CCP/">Alternative BDOSes & CCPs</a></p>
    </div>

    <div class="site-column-2">
      <p class="site-description">A collection of replacement BDOSes and CCPs.</p>

      <div class="linkswrapper">

        <div class="originalsite">
          <p class="linksheader"></p>
          <ul class="linkscontent">
            <li>DOSPlus</li>
            <li>MicroShell</li>
            <li>P2DOS</li>
          </ul>
        </div>

        <div class="mirrorsites">
          <p class="linksheader"></p>
          <ul class="linkscontent">
            <li>NovaDOS</li>
            <li>ZPM3</li>
            <li>ZS/ZDDOS</li>
          </ul>
         </div>

        <div class="downloads">
          <p class="linksheader"></p>
          <ul class="linkscontent">
            <li>Z80-CCP</li>
            <li>Kaypro Pro8</li>
            <li>XCCP</li>
          </ul>
        </div>

      </div> <!-- linkswrapper -->

    </div> <!-- site-column-2 -->

  </div> <!-- site-container -->

 <!-- - - - - - - - - - - - - - - - Communications - - - - - - - - - - - - - - - - -->

  
  <div class="site-container" name="Comm">

    <div class="site-column-1">
      <p class="site-title"><a href="mirrors/Miscellany/Comm/">Communications</a></p>
    </div>

    <div class="site-column-2">
      <p class="site-description">Communications utilities: modem and BBS programs.</p>

      <div class="linkswrapper">

        <div class="originalsite">
          <p class="linksheader"></p>
          <ul class="linkscontent">
            <li>Smartmodem</li>
	    <li>CBBS</li>
          </ul>
        </div>

        <div class="mirrorsites">
          <p class="linksheader"></p>
          <ul class="linkscontent">
              <li>Citadel BBS</li>
            </ul>
        </div>

        <div class="downloads">
          <p class="linksheader"></p>
          <ul class="linkscontent">
            <li>Term</li>
          </ul>
        </div>

      </div> <!-- linkswrapper -->

    </div> <!-- site-column-2 -->

  </div> <!-- site-container -->

  <!-- - - - - - - - - - - - - - - - Editors - - - - - - - - - - - - - - - - - -->

  <div class="site-container" name="Editors">

    <div class="site-column-1">
      <p class="site-title"><a href="mirrors/Miscellany/Editors/">Editors</a></p>
    </div>

    <div class="site-column-2">
      <p class="site-description">Editors and word processors</p>

      <div class="linkswrapper">

        <div class="originalsite">
          <p class="linksheader"></p>
          <ul class="linkscontent">
            <li>EdFile</li>
            <li>VDE</li>
          </ul>
        </div>

        <div class="mirrorsites">
          <p class="linksheader"></p>
          <ul class="linkscontent">
            <li>VDO</li>
            <li>VEdit+</li>
          </ul>
        </div>

        <div class="downloads">
          <p class="linksheader"></p>
          <ul class="linkscontent">
            <li>WordStar Suite</li>
          </ul>
        </div>

      </div> <!-- linkswrapper -->

    </div> <!-- site-column-2 -->

  </div> <!-- site-container -->

  <!-- - - - - - - - - - - - - - - - Emulators - - - - - - - - - - - - - - - - - - - --->

  <div class="site-container" name="Emulators">

    <div class="site-column-1">
      <p class="site-title"><a href="mirrors/Miscellany/Emulatrs">Emulators</a></p>
    </div>

    <div class="site-column-2">
      <p class="site-description">CP/M and hardware emulators.</p>

      <div class="linkswrapper">

        <div class="originalsite">
          <p class="linksheader"></p>
          <ul class="linkscontent">
            <li>Altair</li>
            <li>SIMH</li>
            <li>CPMsim</li>
            <li>Kaypro II</li>
            <li>MyZ80</li>
            <li>YAZE</li>
            <li>Z8Pack</li>
          </ul>
        </div>

        <div class="mirrorsites">
          <p class="linksheader"></p>
          <ul class="linkscontent">
            <li>Zemu</li>
            <li>Zint</li>
            <li>ZRPM</li>
            <li>Zrun</li>
            <li>ZSim</li>
            <li>22Nice</li>
          </ul>
        </div>

        <div class="downloads">
          <p class="linksheader"></p>
          <ul class="linkscontent">
            <li>cpm0.2.1</li>
            <li>jfrace</li>
            <li>Kaypro</li>
            <li>USim</li>
            <li>Z80mu</li>
            <li>ZRun</li>
          </ul>
        </div>

      </div> <!-- linkswrapper -->
  
    </div> <!-- site-column-2 -->

  </div> <!-- site-container -->

 <!-- - - - - - - - - - - - - - - - Games - - - - - - - - - -->

  <div class="site-container" name="Games">

    <div class="site-column-1">
      <p class="site-title"><a href="mirrors/Miscellany/Games/">Games</a></p>
    </div>

    <div class="site-column-2">
      <p class="site-description">My collection of games, featuring Infocom.</p>

      <div class="linkswrapper">

        <div class="originalsite">
          <p class="linksheader"></p>
          <ul class="linkscontent">
            <li>Adventure</li>
            <li>Chess - ZChess, PLIChess, Sargon</li>
          </ul>
        </div>

        <div class="mirrorsites">
          <p class="linksheader"></p>
          <ul class="linkscontent">
            <li>Complete Infocom CP/M Collection</li>
            <li>Creative Computing's BASIC Games</li>
          </ul>
        </div>

        <div class="downloads">
          <p class="linksheader"></p>
          <ul class="linkscontent">
            <li>Retroarchive's ManyGame Collection</li>
          </ul>
        </div>

      </div> <!-- linkswrapper -->
  
    </div> <!-- site-column-2 -->

  </div> <!-- site-container -->

    <!-- - - - - - - - - - - - - - - - TRS-80 Collection - - - - - - - --->

  <div class="site-container" name="Unofficial-TRS80">

    <div class="site-column-1">
      <p class="site-title"><a href="mirrors/Miscellany/TRS80/">TRS-80 Collection</a></p>
    </div>

    <div class="site-column-2">
      <p class="site-description">A large collection of material related to the TRS-80 line of computers. Of special interest is the *HUMONGOUS* library -- 280 programming and reference books.</p>

      <div class="linkswrapper">

        <div class="originalsite">
          <ul class="linkscontent">
            <li>Emulators - DM Keil, TRS32, PC-Four, TRS80-62, xtrs, etc.</li>
            <li><a href="mirrors/Miscellany/TRS80/Books/">Programming & Reference Library</a> (280 Books)</li>
          </ul>
        </div>

        <div class="mirrorsites">
          <ul class="linkscontent">
            <li>Large, disorganized collection of software in DSK/DMK image format</li>
          </ul>
        </div>

        <div class="downloads">
          <ul class="linkscontent">
            <li>ROMs</li>
          </ul>
        </div>

      </div> <!-- linkswrapper -->
  
    </div> <!-- site-column-2 -->

  </div> <!-- site-container -->

  <!-- - - - - - - - - - - - - - - - Utilities - - - - - - - - - - - - - --->

  <div class="site-container" name="Utilities">

    <div class="site-column-1">
      <p class="site-title"><a href="mirrors/Miscellany/Utils/">Utilities</a></p>
    </div>

    <div class="site-column-2">
      <p class="site-description">Various utilities -- archivers, disk & file, and DateStamper and Backgrounder II.</p>

      <div class="linkswrapper">

        <div class="originalsite">
          <ul class="linkscontent">
            <li>Archivers/Compressors</li>
            <li>Background ii</li>
          </ul>
        </div>

        <div class="mirrorsites">
          <ul class="linkscontent">
            <li>DateStamper</li>
            <li>File, Disk, Dir - AnaDisk, 22Disk, 22Nice, B29, BShow, CopyQ</li>
          </ul>
        </div>

        <div class="downloads">
          <ul class="linkscontent">
            <li>Power.com</li>
            <li>Z-System utilities collection</li>
          </ul>
        </div>

      </div> <!-- linkswrapper -->
  
    </div> <!-- site-column-2 -->

  </div> <!-- site-container -->

  <!-- - - - - - - - - - - - - - - - Operating Systems - - - - - - - - - - - - - - - - - - -->

  <div class="site-container" name="OSes">

    <div class="site-column-1">
      <p class="site-title"><a href="mirrors/Miscellany/OperSys/">Operating Systems</a></p>
    </div>

    <div class="site-column-2">
      <p class="site-description">My collection of Digital Research's CP/M-family of operating systems, together with CP/M-compatible replacement OSes.</p>

      <div class="linkswrapper">

        <div class="originalsite">
          <ul class="linkscontent">
            <li>QPM</li>
	    <li>CP/M 2.2</li>
            <li>Montezuma Micro CP/M 2.23</li>
          </ul>
        </div>

        <div class="mirrorsites">
          <ul class="linkscontent">
            <li>Concurrent CP/M</li>
            <li>CP/M Patches and Sources</li>
            <li>ZRPM</li>
          </ul>
        </div>

        <div class="downloads">
          <ul class="linkscontent">
            <li>CP/Net Documentation</li>
            <li>DRI Software Manuals</li>
          </ul>
        </div>

      </div> <!-- linkswrapper -->
  
    </div> <!-- site-column-2 -->

  </div> <!-- site-container -->

  <!-- - - - - - - - - - - - - - - - Programming  - - - - - - - - - - - - - - - - - --->

  <div class="site-container" name="Programming">

    <div class="site-column-1">
      <p class="site-title"><a href="mirrors/Miscellany/Prgrming">Programming</a></p>
    </div>

    <div class="site-column-2">
      <p class="site-description">Assemblers/disassemblers, compilers, and programming utilities for a variety of languages.</p>

      <div class="linkswrapper">

        <div class="originalsite">
          <ul class="linkscontent">
            <li>APL</li>
            <li>Assembly</li>
            <li>Avocet Systems demos</li>
          </ul>
        </div>

         <div class="mirrorsites">
          <ul class="linkscontent">
            <li>BASIC</li>
            <li>C</li>
            <li>FORTH</li>
          </ul>
        </div>

        <div class="downloads">
          <ul class="linkscontent">
            <li>Fortran</li>
            <li>PLM</li>
            <li>Turbo Pascal</li>
          </ul>
        </div>

      </div> <!-- linkswrapper -->
  
    </div> <!-- site-column-2 -->

  </div> <!-- site-container -->

  <!-- - - - - - - - - - - - - - - - ZCPR & The Z-System - - - - - - - - - - - - - - - - --->

  <div class="site-container" name="ZCPRZSys">

    <div class="site-column-1">
      <p class="site-title"><a href="mirrors/Miscellany/ZCPRZSys/">ZCPR & The Z-System</a></p>
    </div>

    <div class="site-column-2">
      <p class="site-description">ZCPR and the Z-System. Of special interest here is Richard Conn's ZCPR3: The Libraries Reference Manual and Users Guide.</p>

      <div class="linkswrapper">

        <div class="originalsite">
          <ul class="linkscontent">
            <li>Z-System Manuals</li>
            <li>Z3Plus and manuals</li>
          </ul>
        </div>

        <div class="mirrorsites">
          <ul class="linkscontent">
            <li>ZCPR Manuals - Installation, Richard Conn's IOP Tutorial and User's Perspective</li>
          </ul>
        </div>

        <div class="downloads">
          <ul class="linkscontent">
            <li>ZCPR3 - The Libraries - binaries and Richard Conn's ZCPR3: The Libraries Reference Manual and Users Guide</li>
          </ul>
        </div>

      </div> <!-- linkswrapper -->
  
    </div> <!-- site-column-2 -->

  </div> <!-- site-container -->

  <!-- - - - - - - - - - - - - - - - Genealogy - - - - - - - - - - - - - - - -->

  <div class="site-container" name="Genealogy">

    <div class="site-column-1">
      <p class="site-title"><a href="mirrors/Miscellany/Genealgy/">Genealogy</a></p>
    </div>

    <div class="site-column-2">
      <p class="site-description">Geealogy software. Unfortunately, I'm missing two of the four Personal Ancestral File disks. If anyone has PAF for CP/M, please send me a copy.</a></p>

      <div class="linkswrapper">

        <div class="originalsite">
          <ul class="linkscontent">
            <li>RootsM</li>
          </ul>
        </div>

        <div class="mirrorsites">
          <ul class="linkscontent">
            <li>Personal Ancestral File</li>
          </ul>
        </div>

        <div class="downloads">
          <ul class="linkscontent">
          </ul>
       </div>

      </div> <!-- linkswrapper -->
  
    </div> <!-- site-column-2 -->

  </div> <!-- site-container -->

  <!-- - - - - - - - - - - - - - - - Kaypro Collection - - - - - - - --->

  <div class="site-container" name="Kaypro">

    <div class="site-column-1">
      <p class="site-title"><a href="mirrors/Miscellany/Kaypro/">Kaypro Collection</a></p>
    </div>

    <div class="site-column-2">
      <p class="site-description">Stuff related to the Kaypro.</p>

      <div class="linkswrapper">

        <div class="originalsite">
          <ul class="linkscontent">
            <li>KayPro II Emulator</li>
          </ul>
        </div>

        <div class="mirrorsites">
          <ul class="linkscontent">
            <li>KayPro ROMs</li>
          </ul>
        </div>

        <div class="downloads">
          <ul class="linkscontent">
            <li>Misc.KayPro Software</li>
          </ul>
        </div>

      </div> <!-- linkswrapper -->
  
    </div> <!-- site-column-2 -->

  </div> <!-- site-container -->

  <!-- - - - - - - - - - - - - - - - The Z80 CPU - - - - - - - - - - - - - - - -->

  <div class="site-container" name="HowTo">

    <div class="site-column-1">
	<p class="site-title"><a href="mirrors/Miscellany/Z80CPU">The Z80 CPU</a></p>
    </div>

    <div class="site-column-2">
      <p class="site-description">Technical reference stuff on the Z80 CPU.</p>

      <div class="linkswrapper">

        <div class="originalsite">
          <ul class="linkscontent">
            <li>Collection of Zilog Manuals</li>
          </ul>
        </div>

        <div class="mirrorsites">
          <ul class="linkscontent">
            <li>The Z80 Instruction Set</li>
          </ul>
        </div>

        <div class="downloads">
          <ul class="linkscontent">
            <li>The Z80 Instruction Set</li>
          </ul>
        </div>

      </div> <!-- linkswrapper -->
  
    </div> <!-- site-column-2 -->

  </div> <!-- site-container -->

  <!-- - - - - - - - - - - - - - - - The Computer Journal - - - - - - - -->

  <div class="site-container" name="TCJ">

    <div class="site-column-1">
      <p class="site-title"><a href="mirrors/Miscellany/TCJ/">The Computer Journal</a></p>
    </div>

    <div class="site-column-2">
      <p class="site-description">A nearly-complete collection of The Computer Journal, scanned and PDFed.</p>

      <div class="linkswrapper">

        <div class="originalsite">
          <ul class="linkscontent">
          </ul>
        </div>

        <div class="mirrorsites">
          <ul class="linkscontent">
          </ul>
        </div>

        <div class="downloads">
          <ul class="linkscontent">
          </ul>
        </div>

      </div> <!-- linkswrapper -->
  
    </div> <!-- site-column-2 -->

  </div> <!-- site-container -->

  <!-- - - - - - - - - - - - - - - - Other - - - - - - - - - - - - - - - - - - -->

  <div class="site-container" name="Other">

    <div class="site-column-1">
      <p class="site-title"><a href="mirrors/Miscellany/Other/">Other</a></p>
    </div>

    <div class="site-column-2">
      <p class="site-description"><em>REALLY</em> miscellaneous stuff. Dregs, odds-n-ends, left-overs. Nothing to see here - move along.</p>

      <div class="linkswrapper">

        <div class="originalsite">
          <ul class="linkscontent">
          </ul>
        </div>

        <div class="mirrorsites">
          <ul class="linkscontent">
          </ul>
        </div>

        <div class="downloads">
          <ul class="linkscontent">
          </ul>
        </div>

      </div> <!-- linkswrapper -->
  
    </div> <!-- site-column-2 -->

  </div> <!-- site-container -->


</div> <!-- pagewrapper -->

  <!-- Footer -->

  <div id="footer">
    Copyleft <i>*HUMONGOUS* CP/M</i> Archives <?php echo date ("Y");?><br />
    This page last modified on <?php echo " ".date ("F d Y H:i:s", filemtime($_SERVER['SCRIPT_FILENAME'])); ?>
  </div> <!-- footer -->

</body>
</html>